LINUX.ORG.RU

Вышла Samba 4.11.0

 ,


1

0

17го сентября 2019 года вышла версия 4.11.0 - первый стабильный релиз в ветке Samba 4.11.

Из основных особенностей пакета:


  • Полноценная реализация контроллера домена и сервисов AD, совместимая с протоколами Windows 2000 и способная обслуживать все Windows-клиенты вплоть до Windows 10
  • Файловый сервер
  • Сервер печати
  • Сервис идентификации Winbind



Особенности выпуска 4.11.0:


  • ПО-умолчанию используется модель запуска процессов «prefork», позволяющая поддерживать оперделенное количество запущенных процессов обработчиков
  • winbind сохраняет в логе события аутентификации PAM_AUTH и NTLM_AUTH, а также атрибут «logonId», содержащий идентификатор входа
  • Добавлена возможность сохранения в логе продолжительности операций с DNS
  • Применяемая по-умолчанию схема работы с AD обновлена до версии 2012_R2. Используемую ранее схему можно выбрать, используя при запуске ключ '--base-schema'
  • Функции криптографии теперь требуют в зависимостях обязательную библиотеку GnuTLS 3.2, заменив ею встроенные в Samba
  • Появилась команда «samba-tool contact», позволяющая искать, просматривать и редактировать записиь в адресной книге LDAP
  • Проведена работы по оптимизации работы Sambs в организациях, насчитывающих свыше 100000 пользователей и 120000 объектов
  • Увеличена производительность переиндексации для крупных доменов AD
  • Обновлен метод хранения базы данных AD на диске. Новый формат будет автоматически применён после обновления до выпуска 4.11, но в случае обратного отката с Samba 4.11 на старые выпуски потребуется преобразование формата в старый вручную
  • По-умолчанию отключена поддержка протокола SMB1, который признан устаревшим
  • Консольным утилитам smbclient и smbcacls добавлена опция '--option', позволяющая переопределить параметры, заданные в конфигурационном файле smb.conf
  • Методы аутентификации LanMan и plaintext объявлены устаревшими
  • Удалён код встроенного http-сервера, который ранее поддерживал работы web-интерфейса SWAT
  • По умолчанию отключена поддержка python 2 и используется python 3. Для включения поддержки второй версии питона необходимо установить переменную окружения «PYTHON=python2» перед использованием ./configure и make.

>>> Подробности

★★★★★

Проверено: Shaman007 ()

Функции криптографии теперь требуют в зависимостях обязательную библиотеку GnuTLS 3.2, заменив ее встроенные в Samba

заменив ее встроенные

Что за надмозг?

Ну и конечно же ждём ебилдов опакечивания.

mord0d ★★★★ ()
Ответ на: комментарий от Zhbert

Поправил.

Теперь понятно, теперь нужно. Надеюсь, это не сломает Windows-клиентов (особенно не очень свежих).

Набираю не глядя обычно, а потом глаз замыливается.

Вечер пятницы, чо.

mord0d ★★★★ ()

По-умолчанию отключена поддержка протокола SMB1, который признан устаревшим

То есть, unix extensions закопали окончательно. Или их всё-таки реализовали для новых версий протокола?

cdslow ()

в зависимостях обязательную библиотеку GnuTLS 3.2

почему не openssl?

eternal_sorrow ★★★★★ ()

который ранее поддерживал работы

mos ★★☆☆☆ ()

smbcacls

смбкаклс

mos ★★☆☆☆ ()

Samba 4.11.0

Так GP уже поддерживаются нормально или нет?

Aborigen1020 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.